.TH cuetools 1
.SH NAME
cueprint
.SH DESCRIPTION
cueprint \- print disc and track infomation for a cue or toc file
.SH SYNTAX
cueprint [\-h] [\-i cue|toc] [-n TRACKNUMBER] [\-d TEMPLATE] [\-t TEMPLATE] [file...]
.SH OPTIONS
.TP
.B \-h
print usage information
.TP
.B \-i cue|toc
set format of file(s)
.B \-n TRACKNUMBER
only print track information for track TRACKNUMBER.  The default is to print information for all tracks.
.TP
.B \-d TEMPLATE
set disc template (see TEMPLATE EXPANSION)
.TP
.B \-t TEMPLATE
set track template (see TEMPLATE EXPANSION)
.SH TEMPLATE EXPANSION
All characters in the template are reproduced in the output except for conversions, which begin with `%'.
.PP
A conversion has the form `%[flags][width][.precision]<conversion\-char>'.
.PP
There may be zero or more of the following flags:
.TP
.B \-
left justification
.TP
.B +
place sign before numbers
.TP
.B ` '
(space) place a space before a positive number
.TP
.B 0
pad with zeros
.TP
.B #
(unused)
.PP
width is the minimum field width.  precision is the maximum width for strings.
.PP
Disc template expansion characters are valid for both the disc and track templates.
.PP
Disc:
.TP
.B A
album arranger
.TP
.B C
album composer
.TP
.B G
album genre
.TP
.B M
album message
.TP
.B N
number of tracks
.TP
.B P
album performer
.TP
.B S
album songwriter
.TP
.B T
album title
.TP
.B U
album UPC/EAN
.PP
Track:
.TP
.B a
track arranger
.TP
.B c
track composer
.TP
.B g
track genre
.TP
.B i
track ISRC
.TP
.B m
track message
.TP
.B n
track number
.TP
.B p
track perfomer
.TP
.B t
track title
.TP
.B u
track ISRC (CD-TEXT)
.PP
Any other character is expanded to that character.  For example, a % expands to a literal `%'.
.SH ESCAPES
The following single-character escapes are recognized:
.TP
.B \ea
alert (bell)
.TP
.B \eb
backspace
.TP
.B \ef
formfeed
.TP
.B \en
newline
.TP
.B \er
carriage return
.TP
.B \et
horizontal tab
.TP
.B \ev
vertial tab
.TP
.B \e0
NULL
.SH NOTES
If no files are specified, stdin is used.  If a filename is specified and the format is not specified, the format will be set based on a ".cue" or ".toc" suffix.
.SH EXAMPLES
To display disc and track information (using the default template for both), run:
.PP
% cueprint album.cue
.PP
To print the number of tracks in a cue file, run:
.PP
% cueprint -d '%N\en' album.cue
.SH AUTHOR
Svend Sorensen
.SH "SEE ALSO"
cueconvert(1),
cuebreakpoints(1)
